#include "syncdriver.h"

static isy_INT32 syncListener(isy_UINT32 listenerData, ISCEVT* event, isy_VOID* pExtraInfo);
 

int doSyncNow(isy_TCHAR* urlBuf,isy_TCHAR* usrBuf,isy_TCHAR* passBuf){
	HISCSERV	hSyncServ;
	HISCCONF	hSyncConf;
	HISCENG		hSyncer;

	ISCPROPERTY properties[] = {{ISCPROP_SyncUser,        NULL},
	                            {ISCPROP_SyncPassword,    NULL},
	};  
	int       numProperty = 0;

 	//isy_TCHAR*  URL; 
	isy_TCHAR* targetDir;   
	int       rc = 0;
	 
 
	//URL =isy_T("http://9.181.131.247:8080");

 	properties[numProperty++].value = usrBuf;
	properties[numProperty++].value = passBuf; 

	rc = iscServiceOpenEx(urlBuf, properties, numProperty, &hSyncServ);
	if (rc != ISCRTN_Succeeded) return rc;

	targetDir = DATADIR;
  
	rc = iscConfigOpen(hSyncServ, targetDir, &hSyncConf);
	if (rc != ISCRTN_Succeeded) return rc;

	rc = iscEngineOpen(hSyncConf, &hSyncer);
	if (rc != ISCRTN_Succeeded) return rc;
 
	 iscEngineSetListener(hSyncer, syncListener, (isy_UINT32) NULL);

   
	if (rc != ISCRTN_Succeeded)
	{
	 	goto exit1;
	}

	rc = iscEngineSync(hSyncer);
	
exit1:
	if (hSyncer != NULL) {
	   iscEngineClose(hSyncer);
       hSyncer = NULL;
	}

	if (hSyncConf != NULL) {
	   iscConfigClose(hSyncConf);
	   hSyncConf = NULL;
	}

	if (hSyncServ != NULL) {
	   iscServiceClose(hSyncServ);
	   hSyncServ = NULL;
	}
	return rc;

}

 
static isy_INT32 syncListener(isy_UINT32 listenerData, ISCEVT* event, isy_VOID* pExtraInfo)
{
 
  	
	switch (event->type) {
		case ISCEVTTYPE_Retry:
		{

		} 
		break;
		
        case ISCEVTTYPE_Conflict:
		{

		} 
		break;
		case ISCEVTTYPE_Query:
		{
 		} //end ISCEVTTYPE_Query
		break;				
		
        case ISCEVTTYPE_Info:			
		{
			
		}   
		break;
    } // switch (event->type)

	return ISCRTNCB_Default;
}


