// SampleBaseControl.h

#ifndef __SampleBaseControl_h
#define __SampleBaseControl_h

                                                    // include 0 g //
#include <coecntrl.h> // For CCoeControl.
#include <coecobs.h> // MCoeControlObserver
#include <QikAppUi.h> // uiq wrapper of CEikAppUi.
 class CSampleAppUi;
 class CSampleBaseControl : public CCoeControl, public MCoeControlObserver
	{
  
public:
  	virtual ~CSampleBaseControl();
 	virtual void ConstructL();
 	virtual void ConstructControlsL()=0;
     
     virtual void HandleControlEventL(CCoeControl* aControl, TCoeEvent aEventType);
 	 virtual TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);
	 virtual void FocusChanged(TDrawNow aDrawNow);
	 virtual void PrepareForFocusLossL();
	 virtual TInt CountComponentControls() const;
	 virtual CCoeControl* ComponentControl(TInt aIndex) const;
     virtual void Draw(const TRect& aRect) const=0;
protected:
 	CArrayPtrFlat<CCoeControl>* iControls;
	CCoeControl* iFocusedControl;
    CSampleAppUi* iAppUi;                                                
private:
    	};
#endif
