                                                   
#include "SampleAppUi.h"
#include <e32std.h>
void DesCToCharPtr(HBufC* pinDes, isy_TCHAR* inPtr);

 void CSampleAppUi::ConstructL()
    {
  
 	CQikAppUi::ConstructL();

	CSampleDocument* pointerToDocument=STATIC_CAST(CSampleDocument*,iDocument);

 	pointerToDocument->InitModelL();

 	iModel=CONST_CAST(CSampleModel*,pointerToDocument->Model());

 	iCurrentView=EViewAppView;
	iAppViews[iCurrentView] = new (ELeave) CView1AppViewStub();
	iAppViews[iCurrentView]->ConstructL(ClientRect(), iModel, KUidSampleView, MAIN);
 	RegisterViewAndAddStackL(*iAppViews[iCurrentView]);
	AddToViewStackL(*iAppViews[iCurrentView],iAppViews[iCurrentView]);	

 	SetDefaultViewL(*iAppViews[iCurrentView]);
                                                   
	}
 
 CSampleAppUi::~CSampleAppUi()
	{
  	for(TInt Count=0;Count<ETotalNumberOfViews;Count++)
		{
		RemoveFromViewStack(*iAppViews[Count],iAppViews[Count]);
		DeregisterViewAndRemoveStack(*iAppViews[Count]);
 		if(iAppViews[Count])
			{
			delete iAppViews[Count];
			iAppViews[Count]=0;
			}
		}
                                                   
	}
                                                     

                                                   
 void CSampleAppUi::HandleCommandL(TInt aCommand)
	{
	int rc = 0;

	TBuf16<30> passBuf;
	
	switch (aCommand)
		{
		case EEikCmdSyncronize:
			CView1AppViewStub* pointerToView;
			HBufC* urlBuf;
			HBufC* userBuf;
			

			pointerToView=STATIC_CAST(CView1AppViewStub*,iAppViews[iCurrentView]);
			urlBuf=pointerToView->GetURLInHBufL();
			userBuf=pointerToView->GetUserInHBufL();
			pointerToView->GetPassword(passBuf);

			isy_TCHAR charURL[200];	
			isy_TCHAR charUser[30];
			isy_TCHAR charPass[30];
			 
			
			DesCToCharPtr(urlBuf, charURL);
			DesCToCharPtr(userBuf, charUser);
			DesCToCharPtr(passBuf.AllocL(), charPass);
	
			
			rc=doSyncNow(charURL,charUser,charPass);

			if(rc==0)
			{
				_LIT(lMessagetxt,"Syncronization Succeeded");
				pointerToView->SetLabel(lMessagetxt);
			}else{
			
				_LIT(lMessagetxt,"Syncronization Failed");
				pointerToView->SetLabel(lMessagetxt);
			}

			delete urlBuf;
			delete userBuf;
			
			break;

		case EEikCmdExit: 
			CEikAppUi::Exit();
			break;
		}
                                               
	}
 void CSampleAppUi::SwitchToViewL(TInt aTargetView)
	{
    
	if (iCurrentView!=aTargetView)
		{
		iCurrentView=aTargetView;
		ActivateViewL(iAppViews[iCurrentView]->ViewId());
		}
                                                   
	}


 void DesCToCharPtr(HBufC* pinDes, isy_TCHAR* inPtr)
{
	if(pinDes)
	{
#ifndef _UNICODE
		const TUint8* desBufPtr=pinDes->Ptr();
		TInt size=pinDes->Size();
		for(TInt i=0; i<size/2; i++)
		{
			// Crudely convert 16-bit chars to 8-bit chars by taking the
			// low-order byte.
			inPtr[i]= desBufPtr[i];
		}
		inPtr[i] = '\0'; //zero terminate it
#else
		const TUint16* desBufPtr=pinDes->Ptr();
		TInt size=pinDes->Size()/2;
		TInt i=0;
		for(; i<size; i++)
		{
		   inPtr[i]=desBufPtr[i];
		}
		inPtr[size]= isy_TCHAR('\0');
#endif
	}
	else
		MEM_SET(inPtr, 0, sizeof(inPtr)); 
}
                                                   
 