#include "View1AppViewStub.h"
#include "SampleAppUi.h"
CView1AppViewStub::CView1AppViewStub()
	{
 	}
  
CView1AppViewStub::~CView1AppViewStub()
	{
   	}
 
void CView1AppViewStub::ConstructL(const TRect& aRect, CSampleModel* aModel,TUid aViewId,TInt aMenuBarResourceId)
	{
  	CSampleBaseView::ConstructL(aRect,aModel,aViewId,aMenuBarResourceId);
 	ConstructControlsL();
  	}
   

void CView1AppViewStub::ConstructControlsL()
	{
    _LIT(ediServertxt, "");
	ediServer = new(ELeave) CEikEdwin();
	CleanupStack::PushL(ediServer);
	ediServer->SetContainerWindowL(*this);
	ediServer->ConstructL(0, 0, 0, 1);
	ediServer->SetPosition(TPoint(65, 40));
	ediServer->SetObserver(this);
	ediServer->SetSize(TSize(120, 20));
	ediServer->SetTextL(&ediServertxt);
	ediServer->ActivateL();
	CleanupStack::Pop();
	iControls->AppendL(ediServer);
	
	// lURL : 
    _LIT(lURLtxt,"Server");
	CEikLabel* lURL = new (ELeave) CEikLabel();
	CleanupStack::PushL(lURL);
	lURL->SetObserver(this);
	lURL->SetTextL(lURLtxt);
	lURL->SetSize(TSize(50, 20));
	lURL->SetPosition(TPoint(11, 40));
	lURL->ActivateL();
	CleanupStack::Pop();
	iControls->AppendL(lURL);

	_LIT(lUsertxt,"User");
	CEikLabel* lUser = new (ELeave) CEikLabel();
	CleanupStack::PushL(lUser);
	lUser->SetObserver(this);
	lUser->SetTextL(lUsertxt);
	lUser->SetSize(TSize(50, 20));
	lUser->SetPosition(TPoint(11, 80));
	CleanupStack::Pop();
	iControls->AppendL(lUser);

	// ediUser : 
	_LIT(ediUsertxt, "");
	ediUser = new(ELeave) CEikEdwin();
	CleanupStack::PushL(ediUser);
	ediUser->SetContainerWindowL(*this);
	ediUser->ConstructL(0, 10, 10, 1);
	ediUser->SetPosition(TPoint(65, 80));
	ediUser->SetObserver(this);
	ediUser->SetSize(TSize(120, 20));
	ediUser->SetTextL(&ediUsertxt);
	ediUser->ActivateL();
	CleanupStack::Pop();
	iControls->AppendL(ediUser);

	
	// lPassword : 
	_LIT(lPasswordtxt,"Password");
	CEikLabel* lPassword = new (ELeave) CEikLabel();
	CleanupStack::PushL(lPassword);
	lPassword->SetObserver(this);
	lPassword->SetTextL(lPasswordtxt);
	lPassword->SetSize(TSize(50, 20));
	lPassword->SetPosition(TPoint(11, 120));
	lPassword->ActivateL();
	CleanupStack::Pop();
	iControls->AppendL(lPassword);

	ediPassword = new (ELeave) CEikSecretEditor();
	CleanupStack::PushL(ediPassword);
	ediPassword->SetContainerWindowL(*this);
	ediPassword->SetObserver(this);
	ediPassword->SetSize(TSize(120, 20));
	ediPassword->SetPosition(TPoint(65, 120));
	ediPassword->SetMaxLength(20);
  	ediPassword->ActivateL();
  	CleanupStack::Pop();
	iControls->AppendL(ediPassword);
   
	_LIT(lMessagetxt,"");
	lMessage = new (ELeave) CEikLabel();
	CleanupStack::PushL(lMessage);
	lMessage->SetObserver(this);
	lMessage->SetTextL(lMessagetxt);
	lMessage->SetSize(TSize(180, 20));
	lMessage->SetPosition(TPoint(50, 180));
	lMessage->ActivateL();
	CleanupStack::Pop();
	iControls->AppendL(lMessage);


	iAppUi->SetToolbarL(R_SYNC_TOOLBAR);
 
	iFocusedControl=ediServer;
	
                                                    
	}
                                                    
void CView1AppViewStub::Draw(const TRect& /*aRect*/) const
	{
  	CWindowGc& gc = SystemGc();
	gc.Clear();
   	}
    
void CView1AppViewStub::ViewActivatedL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage)
	{
     
	CSampleBaseView::ViewActivatedL(aPrevViewId,aCustomMessageId,aCustomMessage);
  	}
   
void CView1AppViewStub::ViewDeactivated()
	{
    
	CSampleBaseView::ViewDeactivated();
	}
 void CView1AppViewStub::ViewConstructL()
	{
  	CSampleBaseView::ViewConstructL();
   	} 

 HBufC* CView1AppViewStub::GetURLInHBufL()
	{
		return ediServer->GetTextInHBufL();
	}

 HBufC* CView1AppViewStub::GetUserInHBufL()
	{
		return ediUser->GetTextInHBufL();
	}
	
 void CView1AppViewStub::GetPassword(TDes& aDes)
	{
		ediPassword->GetText(aDes);
	}
    
 void CView1AppViewStub::SetLabel(const TDesC& aText){
		
	 lMessage->SetTextL(aText);
	 DrawNow();
	}